###############################################################
###    IPG - IDSIA
###    Authors: L. Azzimonti, G. Corani
###    Reference: "Hierarchical Multinomial-Dirichlet model for the estimation of conditional probability tables",
###    Proceedings of 2017 IEEE International Conference on Data Mining (ICDM 2017)
###    Date: August 22, 2017
###
###    This code is for demostration purpose only
###    for licensing contact laura@idsia.ch
###    COPYRIGHT (C) 2017 IDSIA
###############################################################

compute_mse_fit=function(fit, fit_true,p){
  MSE=0
  MSE_list=list()
  for(i in 1:p){
    MSE_list[[i]]= sum((fit[[i]]$prob  -fit_true[[i]]$prob)^2)
    MSE=MSE+MSE_list[[i]]
  }
  return(list(MSE_tot=MSE,MSE_list=MSE_list))
}
compute_mse_tot=function(prob, prob_true){
  MSE= sum((prob  -prob_true)^2,na.rm=TRUE)
  if(sum(is.nan(prob))>0){
    MSE=NaN
  }
  return(MSE)
}
compute_mse_mean=function(prob, prob_true){
  MSE= mean((prob  -prob_true)^2,na.rm=TRUE)
  if(sum(is.nan(prob))>0){
    MSE=NaN
  }
  return(MSE)
}

